Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.window
Class JRexWindowBrowser

    java.lang.Object
      org.mozilla.jrex.window.JRexBaseBrowser
          org.mozilla.jrex.window.JRexWindowBrowser

Direct Known Subclasses:
  JRexSingleWindowBrowser

public class JRexWindowBrowser
extends JRexBaseBrowser

A class implementing the behavior of WINDOW_MODE in JRexWindowManager.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexWindowManager`

Field Summary

Fields inherited from class org.mozilla.jrex.window.JRexBaseBrowser
`JREXBROWSER, jrexWinListener, rootComponent, rootCreated, rootWindow, screenSize, windowTable`

Constructor Summary
`protected` | `JRexWindowBrowser()`

Method Summary
`int` | `createWindow(int parentPeer, long chromeFlags)`
`void` | `init(JComponent comp)`
`void` | `openNewTab(int parentPeer, String uri, int loadFlags)`
`void` | `openNewWindow(int parentPeer, String uri, int loadFlags)`

Methods inherited from class org.mozilla.jrex.window.JRexBaseBrowser
`addJRexWindowListener, addWindow, destroyTab, destroyWindow, destroyWindowInternal, dispose, dressUP, getBrowser, getBrowserData, getBrowserForParent, getBrowserForRootParent, getBrowserForWindow, getBrowserParent, getBrowserRootParent, getBrowserWindow, makeDialog, removeJRexWindowListener, removeWindow, setChromeFlags, setModal, setRealized, setSize, setTitle, setupBrowser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexWindowBrowser

    protected JRexWindowBrowser()

Method Detail

### init

    public void init(JComponent comp)

  Overrides:
    `init` in class `JRexBaseBrowser`

### openNewWindow

    public void openNewWindow(int parentPeer,
                              String uri,
                              int loadFlags)

  Overrides:
    `openNewWindow` in class `JRexBaseBrowser`

### openNewTab

    public void openNewTab(int parentPeer,
                           String uri,
                           int loadFlags)

  Overrides:
    `openNewTab` in class `JRexBaseBrowser`

### createWindow

    public int createWindow(int parentPeer,
                            long chromeFlags)

  Overrides:
    `createWindow` in class `JRexBaseBrowser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.